Project List
List projects.
Fields
id (integer)
Primary key.
Expansions
To activate relation expansion add the desired fields as a comma separated
list to the expand query parameter like this:
?expand=<field>,<field>,<field>,...
The following relational fields can be expanded:
organizationcategorytypepartner_functionmanagercontactstatusgrantresearcheventstudylanguageprogramfunders
Filters
To filter for exact value matches:
?<fieldname>=<value>
Possible exact filters:
organizationcategorymanagercontactstatusgrantresearchstudylanguagefundersprogram
For advanced filtering use lookups:
?<fieldname>__<lookup>=<value>
All fields with advanced lookups can also be used for exact value matches as described above.
Possible advanced lookups:
begin_planned:gt,gte,lt,ltebegin_effective:gt,gte,lt,lteend_planned:gt,gte,lt,lteend_effective:gt,gte,lt,lte
GET /v1/research/project/?format=api&offset=2260&ordering=begin_planned
{ "count": 2261, "next": null, "previous": "https://api-test.medunigraz.at/v1/research/project/?format=api&limit=20&offset=2240&ordering=begin_planned", "results": [ { "id": 9576, "title": { "de": "Synthese und Modifizierung von Briciclib-Phosphonat-Analoga zur topischen Behandlung der Psoriasis", "en": "Synthesis and modification of Briciclib phosphonate analogs for the topical treatment of psoriasis" }, "short": null, "url": null, "abstract": { "de": null, "en": null }, "begin_planned": null, "begin_effective": "2026-02-01T01:00:00+01:00", "end_planned": null, "end_effective": "2027-01-31T01:00:00+01:00", "assignment": "2026-02-02T10:10:25+01:00", "program": null, "subprogram": null, "organization": 14047, "category": 10, "type": 10, "partner_function": 4, "manager": 84167, "contact": null, "status": 2, "research": 1, "grant": 10, "event": null, "study": null, "language": null, "funders": [ 1743 ], "funder_projectcode": null, "ethics_committee": null, "edudract_number": null, "persons": [ "9576-84167-10" ] } ] }